aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephan Erb (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AURORA-1685) Aurora Python Build Broken
Date Wed, 27 Apr 2016 21:29:12 GMT

    [ https://issues.apache.org/jira/browse/AURORA-1685?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15260987#comment-15260987
] 

Stephan Erb commented on AURORA-1685:
-------------------------------------

This is due to an unpinned dependency in pants. A workaround is available here https://groups.google.com/forum/#!topic/pants-devel/OnPISJosUoI/discussion.
You can also find further details on the Aurora dev list. 

We cannot do much about that issue :-/

> Aurora Python Build Broken
> --------------------------
>
>                 Key: AURORA-1685
>                 URL: https://issues.apache.org/jira/browse/AURORA-1685
>             Project: Aurora
>          Issue Type: Story
>          Components: Client, Executor, Observer
>    Affects Versions: 0.12.0, 0.11.0
>         Environment: Ubuntu 14.04.3 LTS
>            Reporter: zane silver
>              Labels: build
>
> I've recently tried to build the Aurora python projects but get the following error.
It seems to work with version 0.13.0 but we haven't upgraded to the newest version yet. Is
anyone else experiencing this issue?
> root@5faf6f81add9:/home/aurora-0.11.0# ./pants binary src/main/python/apache/aurora/client:aurora
> **** Failed to install lockfile-0.10.2. stdout:
> Installed /tmp/tmpzVVaDE/lockfile-0.10.2/pbr-1.9.1-py2.7.egg
> **** Failed to install lockfile-0.10.2. stderr:
> ERROR:root:Error parsing
> Traceback (most recent call last):
>   File "/tmp/tmpzVVaDE/lockfile-0.10.2/pbr-1.9.1-py2.7.egg/pbr/core.py", line 111, in
pbr
>     attrs = util.cfg_to_args(path, dist.script_args)
>   File "/tmp/tmpzVVaDE/lockfile-0.10.2/pbr-1.9.1-py2.7.egg/pbr/util.py", line 264, in
cfg_to_args
>     wrap_commands(kwargs)
>   File "/tmp/tmpzVVaDE/lockfile-0.10.2/pbr-1.9.1-py2.7.egg/pbr/util.py", line 573, in
wrap_commands
>     cmdclass = ep.load(False)
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/lib/python2.7/site-packages/pkg_resources.py",
line 2190, in load
>     ['__name__'])
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/lib/python2.7/site-packages/pex/commands/bdist_pex.py",
line 6, in <module>
>     from pex.bin.pex import build_pex, configure_clp
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/lib/python2.7/site-packages/pex/bin/pex.py",
line 21, in <module>
>     from pex.crawler import Crawler
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/lib/python2.7/site-packages/pex/crawler.py",
line 12, in <module>
>     from .http import Context
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/lib/python2.7/site-packages/pex/http.py",
line 19, in <module>
>     import requests
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/lib/python2.7/site-packages/requests/__init__.py",
line 53, in <module>
>     from .packages.urllib3.contrib import pyopenssl
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/lib/python2.7/site-packages/requests/packages/__init__.py",
line 49, in load_module
>     if name in sys.modules:
> AttributeError: 'NoneType' object has no attribute 'modules'
> error in setup command: Error parsing /tmp/tmpzVVaDE/lockfile-0.10.2/setup.cfg: AttributeError:
'NoneType' object has no attribute 'modules'
> Exception caught: (<class 'pex.resolver.Untranslateable'>)
>   File "/root/.cache/pants/setup/bootstrap/0.0.64/bin/pants", line 11, in <module>
>     sys.exit(main())
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pants/bin/pants_exe.py",
line 26, in main
>     LocalPantsRunner(exiter).run()
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pants/bin/pants_runner.py",
line 60, in run
>     self._maybe_profiled(self._run)
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pants/bin/pants_runner.py",
line 57, in _maybe_profiled
>     runner()
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pants/bin/pants_runner.py",
line 65, in _run
>     options, build_config = OptionsInitializer(options_bootstrapper, exiter=self.exiter).setup()
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pants/bin/goal_runner.py",
line 58, in __init__
>     self._working_set = working_set or PluginResolver(self._options_bootstrapper).resolve()
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pants/bin/plugin_resolver.py",
line 49, in resolve
>     for plugin_location in self._resolve_plugin_locations():
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pants/bin/plugin_resolver.py",
line 73, in _resolve_exact_plugin_locations
>     for plugin in self._resolve_plugins():
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pants/bin/plugin_resolver.py",
line 93, in _resolve_plugins
>     cache_ttl=self._python_setup.resolver_cache_ttl)
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pex/resolver.py",
line 346, in resolve
>     return resolver.resolve(resolvables_from_iterable(requirements, builder))
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pex/resolver.py",
line 200, in resolve
>     dist = self.build(package, resolvable.options)
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pex/resolver.py",
line 257, in build
>     dist = super(CachingResolver, self).build(package, options)
>   File "/root/.cache/pants/setup/bootstrap/pants.N3QZRA/install/local/lib/python2.7/site-packages/pex/resolver.py",
line 168, in build
>     raise Untranslateable('Package %s is not translateable by %s' % (package, translator))
> Exception message: Package SourcePackage(u'file:///root/.cache/pants/plugins/lockfile-0.10.2.tar.gz')
is not translateable by ChainedTranslator(EggTranslator, SourceTranslator)



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message